namespace Brizco.Domain.CommandQueries.Queries;

public sealed record GetComplexesQuery(int Page = 0) : 
    IRequest<List<ComplexSDto>>;

public sealed record GetComplexQuery(Guid Id) : 
    IRequest<ComplexSDto>;


public sealed record GetComplexUsersQuery(string ComplexId,int Page = 0) :
    IRequest<List<ComplexUserSDto>>;